Admin Update Agent Pricing
curl --request PATCH \
--url https://api.example.com/api/v1/admin/agents/{slug}/pricing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"base_rate_usd": 50000,
"platform_fee_percent": 0.5,
"note": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/admin/agents/{slug}/pricing"
payload = {
"base_rate_usd": 50000,
"platform_fee_percent": 0.5,
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({base_rate_usd: 50000, platform_fee_percent: 0.5, note: '<string>'})
};
fetch('https://api.example.com/api/v1/admin/agents/{slug}/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin
Admin Update Agent Pricing
Update an agent’s base rate and per-agent platform fee override.
PATCH
/
api
/
v1
/
admin
/
agents
/
{slug}
/
pricing
Admin Update Agent Pricing
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Update an agent's base rate and per-agent platform fee override.
Response
Successful Response
Was this page helpful?
⌘I